# Method Web.Api.Api()->make_multipart_message()

Method make_multipart_message

  ``protected` `array`(`string`) make_multipart_message(`mapping` `p`, `string` `body`)`

Description

  Creates the body of an Upload request

Parameter `p`

  The API request parameters

Parameter `body`

  Data of the document to upload

Returns

  An array with two indices:

  - The value for the main Content-Type header

  - The request body